# Class BasicComboBoxUI.ItemHandler

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler

All Implemented Interfaces:
  `ItemListener, EventListener`

Enclosing class:
  `BasicComboBoxUI`

public class BasicComboBoxUI.ItemHandler extends Object implements ItemListener
This listener watches for changes to the selection in the combo box.

This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

See Also:
  - `BasicComboBoxUI.createItemListener()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemHandler()`
  Constructs a `ItemHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `itemStateChanged(ItemEvent e)`
  Invoked when an item has been selected or deselected by the user.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ItemHandler

    public ItemHandler()
    Constructs a `ItemHandler`.

- ## Method Details

  - ### itemStateChanged

    public void itemStateChanged(ItemEvent e)
    Description copied from interface: `ItemListener`
    Invoked when an item has been selected or deselected by the user. The code written for this method performs the operations that need to occur when an item is selected (or deselected).
    Specified by:
      `itemStateChanged` in interface `ItemListener`
    Parameters:
      `e` - the event to be processed